GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "c4871a09-178f-42ac-b964-d02513870191",
"private_locations": [
{
"private_location_id": "e9268153-2a36-4541-a38a-cdcc45c02220",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0ac0fc82-542e-4a08-a170-366ef09fd3d6"
},
{
"private_location_id": "89d26a40-9846-443b-bd4d-c73732cb140e",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "945ff028-dd38-40bd-b2f9-202a09a237fc"
},
{
"private_location_id": "08dfc198-3543-45c4-a244-e9bb7ff8e228",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "63aeccce-2497-4501-93dc-8048a3d826f3"
}
]
},
{
"access_group": "ab156772-4d59-4170-ae26-39f35569c1ce",
"private_locations": [
{
"private_location_id": "e9268153-2a36-4541-a38a-cdcc45c02220",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0ac0fc82-542e-4a08-a170-366ef09fd3d6"
},
{
"private_location_id": "e9268153-2a36-4541-a38a-cdcc45c02220",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "0ac0fc82-542e-4a08-a170-366ef09fd3d6"
},
{
"private_location_id": "08dfc198-3543-45c4-a244-e9bb7ff8e228",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "63aeccce-2497-4501-93dc-8048a3d826f3"
}
]
},
{
"access_group": "c133da0d-1be2-4cf1-a798-ca05709457dc",
"private_locations": [
{
"private_location_id": "08dfc198-3543-45c4-a244-e9bb7ff8e228",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "63aeccce-2497-4501-93dc-8048a3d826f3"
},
{
"private_location_id": "08dfc198-3543-45c4-a244-e9bb7ff8e228",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "63aeccce-2497-4501-93dc-8048a3d826f3"
},
{
"private_location_id": "08dfc198-3543-45c4-a244-e9bb7ff8e228",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "63aeccce-2497-4501-93dc-8048a3d826f3"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |